// G. Miller, Numerical Analysis for Engineers and Scientists,
// Cambridge University Press, Cambridge, 2014.
// http://www.cambridge.org/9781107021082

#ifndef __Adaptive_Simpson_H__
#define __Adaptive_Simpson_H__
double adaptiveSimpson( double a, double b, double tol, double (*func)(double) );

double adaptiveSimpson2( double& a, double& b,
                         double& f0, double& f3, double& f6,
                         double& icoarse, int depth,
                         double (*func)(double), double iest );
#endif
