// G. Miller, Numerical Analysis for Engineers and Scientists,
// Cambridge University Press, Cambridge, 2014.
// http://www.cambridge.org/9781107021082

#ifndef __Cholesky_H__
#define __Cholesky_H__
int Cholesky( Matrix<double>& A );
void solveLLH( const Matrix<double>& A, Vector<double>& b );
void printLLH( const Matrix<double>&A );
#endif
