// G. Miller, Numerical Analysis for Engineers and Scientists,
// Cambridge University Press, Cambridge, 2014.
// http://www.cambridge.org/9781107021082

#ifndef __ConvexQP_H__
#define __ConvexQP_H__

int ConvexQP( const Matrix<double>& L,
              Vector<double>& x,
              const Matrix<double>& Ce, const Vector<double>& ce,
              const Matrix<double>& Ci, const Vector<double>& ci,
              double& df,
              const double& tolerance );

#endif
