// G. Miller, Numerical Analysis for Engineers and Scientists,
// Cambridge University Press, Cambridge, 2014.
// http://www.cambridge.org/9781107021082

#ifndef __HQ_SORT_H__
#define __HQ_SORT_H__

// norm,perm [0 to n-1] inclusive
// hqsort( norm, perm, 0, n-1 ) will place elements of norm
// in descending order.

void hqsort( Vector<double>& norm, Vector<int>& perm, int left, int right );

// a simpler entry point with initialization

void hqsort0( Vector<double>& norm, Vector<int>& perm );

#endif

