// G. Miller, Numerical Analysis for Engineers and Scientists,
// Cambridge University Press, Cambridge, 2014.
// http://www.cambridge.org/9781107021082

#ifndef __Adaptive_SS_H__
#define __Adaptive_SS_H__
void RK4( double x, double h, double y, double& ynew, double (*func)(double,double) );

void adaptiveSSintegrator( double a, double b, double relerr, double h0,
                          double (*func)(double,double), int& step, double& y );
#endif
