// G. Miller, Numerical Analysis for Engineers and Scientists,
// Cambridge University Press, Cambridge, 2014.
// http://www.cambridge.org/9781107021082

#include <iostream>
#include <iomanip>
#include <math.h>
#include "AdaptiveSimpson.H"
using namespace std;

// function to integrate
double f( double x )
{
  return cos(1./x);
}

int main()
{
  cout << scientific << setprecision(15);
  double a   = 0.02;
  double b   = 100;
  double tol = 1.e-6;
  double i = adaptiveSimpson( a, b, tol, f );
  cout << "integral =  " << i << endl;
}
