// G. Miller, Numerical Analysis for Engineers and Scientists,
// Cambridge University Press, Cambridge, 2014.
// http://www.cambridge.org/9781107021082

#ifndef __Golden_Section_H__
#define __Golden_Section_H__
void goldensection( const Vector<double>&x0, const Vector<double>&p,
                    double& a,  double& b,  double& c,
                    double& fa, double& fb, double& fc,
                    double eps, double (*funcp)(const Vector<double>&) );
#endif
