// G. Miller, Numerical Analysis for Engineers and Scientists,
// Cambridge University Press, Cambridge, 2014.
// http://www.cambridge.org/9781107021082

#ifndef __Simplex_H__
#define __Simplex_H__
extern double simplex_small;
int phase2( const Matrix<double>& A,
            const Vector<double>& b,
            Vector<double>& x_J,
            Vector<int>& J_list,
            Vector<int>& K_list,
            const Vector<int>& is_restricted,
            int t_var,
            double simplex_small = 1.e-12 );
int phase1( Matrix<double>& A,
            Vector<double>& b,
            Vector<double>& x_J,
            Vector<int>& J_list,
            Vector<int>& K_list,
            Vector<int>& is_restricted,
            int t_var,
            int t_eqn,
            double simplex_small = 1.e-12 );
#endif
